#include "InputDialog.h"
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qpalette.h>

        

InputDialog::InputDialog(const QString &caption, const QString &l,QWidget *parent):QDialog(parent,0,true)
{
    setCaption(caption);
    
    if(parent)
    {
        setPalette(parent->palette());
    }
    

    QVBoxLayout *vbox = new QVBoxLayout( this, 6, 6 );
    label=new QLabel(l,this);
    vbox->addWidget(label);
    line=new QLineEdit(this);
    vbox->addWidget(line );

}

            
                
QString InputDialog::getText(const QString &caption, const QString &label, const QString &def,QWidget *parent)
{
    InputDialog *dlg=new InputDialog(caption,label,parent);
    dlg->line->setText(def);
    QString d;
    if(dlg->exec())
    {
        d=dlg->getContent();
    }
    delete dlg;

    return d;
}

QString InputDialog::getContent()
{
    return line->text();
}



