/****************************************************************************
** Main Window for zipsc app.
**
** Copyright (C) 2002 Walter Rawdanik.  All rights reserved.
**
**
**
****************************************************************************/
#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H
#include "ipsc.h"
#include "prips.h"
#include <qmainwindow.h>
#include <qarray.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <qdialog.h>

class QTabBar;
class QGroupBox;
class QTextBrowser;
class QWidgetStack;
class QFrame;
class QComboBox;
class QLabel;
class QPushButton;
class QCheckBox;
class QLineEdit;
class QToolButton;
class MenuButton;
class QSpinBox;


class AboutDialog:public QDialog
{
 Q_OBJECT

public:
    
    static void displayAbout(const QPixmap &icon,const QString &caption,const QString &title, const QString &text, QWidget *parent); 

private:

    AboutDialog(const QPixmap &icon,const QString &caption, const QString &title,const QString &label,   QWidget *parent);
    QLabel      *title;
    QLabel      *label;
    QLabel      *pix;

};  



class MainWindow : public QMainWindow
{
	Q_OBJECT
public:
	MainWindow( QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel );
	~MainWindow();

private slots:
	void showPage(int t);
    void updatePage (int t);
    void updateAll();

    void goButtonClicked();
    void typeButtonPressed(int);
    void bitsChanged(int);
    void saveFile();
    void copyText();
    void displayAbout();

private:
    void updateGPage(QString &s);
    void updateSPage(QString &s);
    void updateHPage(QString &s);
    void updateCPage(QString &s);

    void initVariables();
    void saveVariables();
    
    

	
	enum WIDGET_TYPE
	{
		GENERAL_VIEW,
		SUBNETS_VIEW,
		HOST_VIEW,
		CIDR_VIEW,
		T_LAST
	};

	int tabValues[T_LAST];

    MenuButton  *addressType;
    QComboBox   *networkAddress;
    QSpinBox    *subnetBits;
    QPushButton *go;
    QLabel      *bitsLabel;

    QTextBrowser    *pages[T_LAST];
	QWidgetStack *pageView;
    QTabBar     *switcher;
    QToolButton *saveB;
    QToolButton *copyB;
    QToolButton *aboutB;

    bool    processType;
    Network n;
    QString lColor;
    QString dColor;
    QString fColor;

};
#endif // NFDB_WINDOW_H
